%define upstream_name    Catalyst-Plugin-Authentication-Store-Htpasswd
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	Authentication database in $c->config
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Authen::Htpasswd) >= 0.13
BuildRequires:	perl(Catalyst::Plugin::Authentication) >= 0.01
BuildRequires:	perl(Module::Build)

BuildArch:	noarch

%description
This plugin uses Authen::Htpasswd to let your application use
.htpasswd files for it's authentication storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-12.mga4
+ Revision: 509821
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-11.mga3
+ Revision: 363950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - package renamed
    - renamed to perl-Catalyst-Plugin-Authentication-Store-Htpasswd
    - mageia rebuild
    - mageia rebuild
    - imported package perl-Catalyst-P-A-Store-Htpasswd

